#ifndef H_HANGUL_H
#define H_HANGUL_H
/*
 * XChar2b was typedef'ed in X11/Xlib.h.
 * Following typedef char2byte has the same structure as the Xchar2b.
 * The main reason of creating the typedef char2byte is not to include the
 * X11/Xlib.h
 */

typedef struct { /* normal 16 bit characters are two bytes */
    unsigned char byte1;
    unsigned char byte2;
} char2byte;

int     convert_3_to_ks(int f, int m, int l, unsigned char *des);
int     convert_3_to_johab(int f, int m, int l, unsigned char *buf);
void    convert_ks_to_3(int h, int l, unsigned char *des);
int     convert_johab_to_ks(unsigned char *src, unsigned char *des, int len);
int     convert_johab_to_3(unsigned char *src, int *f, int *m, int *l);
int	convert_johab_to_display(unsigned char *src, char2byte *des, int len);
int	convert_ks_to_johab(unsigned char *src, unsigned char *des, int n);

extern int     font_ks_mode;

#endif
